<?php

namespace Ardent\UtilBundle\Command;

use Ardent\UtilBundle\EntityBuilder\Builder;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Output\OutputInterface;

abstract class AbstractEntityCommand extends Command
{
    abstract function getConfig(): Builder;

    protected function configure(): void
    {
        $this
            ->addOption('create', 'c', InputOption::VALUE_NONE, 'Create entity')
            ->addOption('edit', 'e', InputOption::VALUE_NONE, 'Edit entity')
            ->addOption('delete', 'd', InputOption::VALUE_NONE, 'Delete entity')
            ->addOption('show', 's', InputOption::VALUE_NONE, 'Show entity');
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {


        return Command::SUCCESS;
    }
}